angular.module('httptest', ['ionic', 'ngMockE2E', 'ngCordova', 'zscy.directives', 'zscy.home'])
  .run(function($rootScope, $httpBackend) {
    var custormer = {
      name: '买买提',
      company: '北京市林业局',
      gender: '男',
      jing_card: '620121311231123',
      id_card: '110223199106246325',
      phone: '15210463625',
      resident_type: 1,
      residence: 110112000,
      degree: 6,
      skill_level: 9,
      migrant_worker: 20,
      valid_code: '',
      checked: false,
      receives: [{
        id: 1,
        address: '北京市东城区XX街道54号',
        post_code: '100100',
        is_default: true
      }, {
        id: 2,
        address: '朝阳区北苑路170号凯旋城A座一单元1801',
        post_code: '101100',
        is_default: false
      }],
      square_code: 'img/squarecode.jpg'
    };
    var workStatus = [{
      id: 0,
      title: '1退休劳模所在单位:现将北京市劳动模范协会《关于办理退休劳模2016年公园年票的通知》',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 1,
      title: '2退休劳模所在单位:现将北京市劳动模范协会《关于办理退休劳模2016年公园年票的通知》',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 2,
      title: '3退休劳模所在单位:现将北京市劳动模范协会《关于办理退休劳模2016年公园年票的通知》',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 3,
      title: '4退休劳模所在单位:现将北京市劳动模范协会《关于办理退休劳模2016年公园年票的通知》',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 4,
      title: '5退休劳模所在单位:现将北京市劳动模范协会《关于办理退休劳模2016年公园年票的通知》',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 5,
      title: '6退休劳模所在单位:现将北京市劳动模范协会《关于办理退休劳模2016年公园年票的通知》',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 6,
      title: '7退休劳模所在单位:现将北京市劳动模范协会《关于办理退休劳模2016年公园年票的通知》',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 7,
      title: '8退休劳模所在单位:现将北京市劳动模范协会《关于办理退休劳模2016年公园年票的通知》',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 8,
      title: '9退休劳模所在单位:现将北京市劳动模范协会《关于办理退休劳模2016年公园年票的通知》',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 9,
      title: '10退休劳模所在单位:现将北京市劳动模范协会《关于办理退休劳模2016年公园年票的通知》',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }];
    var article = {
      create_time: '2015.12.12-2016.1.2',
      content: '退休劳模所在单位:现将北京市劳动模范协会《关于办理退休劳模2016年公园年票的通知》',
      title: '退休劳模'
    };

    var newMessage = [{
      id: 0,
      title: '1关于2015年朝阳区首届职工运动会开幕式活动安排通知',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 1,
      title: '2关于2015年朝阳区首届职工运动会开幕式活动安排通知',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 2,
      title: '3关于2015年朝阳区首届职工运动会开幕式活动安排通知',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 3,
      title: '4关于2015年朝阳区首届职工运动会开幕式活动安排通知',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 4,
      title: '5关于2015年朝阳区首届职工运动会开幕式活动安排通知',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 5,
      title: '6关于2015年朝阳区首届职工运动会开幕式活动安排通知',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 6,
      title: '7关于2015年朝阳区首届职工运动会开幕式活动安排通知',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 7,
      title: '8关于2015年朝阳区首届职工运动会开幕式活动安排通知',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 8,
      title: '9关于2015年朝阳区首届职工运动会开幕式活动安排通知',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 9,
      title: '10关于2015年朝阳区首届职工运动会开幕式活动安排通知',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }];
    var basicMessage = [{
      id: 0,
      title: '关于转发市总劳模协会《关于办理退休劳模2016年公园年票的通知》的通知',
      create_time: '2015-12-24',
      img: './img/pic1.jpg'
    }, {
      id: 1,
      title: '陈经纶中学举办“幸福经纶亲子日”活动',
      create_time: '2015-12-24',
      img: './img/pic2.jpg'
    }, {
      id: 2,
      title: '六里屯街道总工会召开换届选举',
      create_time: '2015-12-24',
      img: './img/pic3.jpg'
    }, {
      id: 3,
      title: '区制造业工会会员点赞普惠服务',
      create_time: '2015-12-24',
      img: './img/pic4.jpg'
    }, {
      id: 4,
      title: '北京市马拉松比赛',
      create_time: '2015-12-24',
      img: './img/jnds3.jpg'
    }];
    var policyList = [{
      id: 0,
      worktime: '2015-11-23至2016-1-1',
      title: '关于转发市总劳模协会《关于办理退休劳模2016年公园年票的通知》的通知',
      create_time: '2015-12-24',
      name: 'TITLE1',
      img: './img/pic1.jpg',
      description: '省总工会党组成员、纪检组长刘孟连到漯河慰问困难企业和职工'
    }, {
      id: 1,
      worktime: '2015-11-23至2016-1-1',
      title: '陈经纶中学举办“幸福经纶亲子日”活动',
      create_time: '2015-12-24',
      name: 'TITLE2',
      img: './img/pic2.jpg',
      description: '全国首家劳模主题公园亮相长垣'
    }, {
      id: 2,
      worktime: '2015-11-23至2016-1-1',
      title: '六里屯街道总工会召开换届选举',
      create_time: '2015-12-24',
      name: 'TITLE3',
      img: './img/pic3.jpg',
      description: '李建庄说：要引导广大职工积极投身“大众创业、万众创新”'
    }, {
      id: 3,
      worktime: '2015-11-23至2016-1-1',
      title: '区制造业工会会员点赞普惠服务',
      create_time: '2015-12-24',
      name: 'TITLE4',
      img: './img/pic4.jpg',
      description: '省总工会党组成员、副主席鲁超亮一行到焦作市开展送温暖活动'
    }];
    var workFlow = [{
      id: 0,
      title: '关于转发市总劳模协会《关于办理退休劳模2016年公园年票的通知》的通知',
      create_time: '2015-12-24',
      img: './img/wydgs.jpg'
    }, {
      id: 1,
      title: '陈经纶中学举办“幸福经纶亲子日”活动',
      create_time: '2015-12-24',
      img: './img/wydgs.jpg'
    }, {
      id: 2,
      title: '六里屯街道总工会召开换届选举',
      create_time: '2015-12-24',
      img: './img/wydgs.jpg'
    }, {
      id: 3,
      title: '区制造业工会会员点赞普惠服务',
      create_time: '2015-12-24',
      img: './img/wydgs.jpg'
    }];
    var bannerlist = [{
      id: 4,
      src: './img/pic1.jpg',
      title: '省总工会党组成员、纪检组长刘孟连到漯河慰问困难企业和职工'
    }, {
      id: 3,
      src: './img/pic2.jpg',
      title: '全国首家劳模主题公园亮相长垣'
    }, {
      id: 2,
      src: './img/pic3.jpg',
      title: '李建庄说：要引导广大职工积极投身“大众创业、万众创新”'
    }, {
      id: 1,
      src: './img/pic4.jpg',
      title: '省总工会党组成员、副主席鲁超亮一行到焦作市开展送温暖活动'
    }, {
      id: 0,
      src: './img/pic5.jpg',
      title: '赵固一矿工会开展“巾帼建功当标兵”活动'
    }];
    var service = [{
      id: 0,
      name: '延庆县医院减免挂号',
      reserved_count: 0,
      count: 300,
      img: './img/ser1.jpg',
      star: 6,
      start_at: '',
      is_liveapply: false,
      is_project: false
    }, {
      id: 1,
      name: '西城区总工会优惠苹果活动',
      reserved_count: 983,
      count: 817,
      img: './img/ser2.jpg',
      star: 3,
      start_at: '',
      is_liveapply: false,
      is_project: false
    }, {
      id: 2,
      name: '朝阳区计生系统职工会员免费美发',
      reserved_count: 203,
      count: 567,
      img: './img/ser3.gif',
      star: 4,
      start_at: '',
      is_liveapply: false,
      is_project: false
    }, {
      id: 3,
      name: '延庆县医院减免挂号',
      reserved_count: 0,
      count: 300,
      img: './img/ser1.jpg',
      star: 6,
      start_at: '',
      is_liveapply: false,
      is_project: false
    }, {
      id: 4,
      name: '西城区总工会优惠苹果活动',
      reserved_count: 983,
      count: 817,
      img: './img/ser2.jpg',
      star: 3,
      start_at: '',
      is_liveapply: false,
      is_project: false
    }, {
      id: 5,
      name: '朝阳区计生系统职工会员免费美发',
      reserved_count: 203,
      count: 567,
      img: './img/ser3.gif',
      star: 4,
      start_at: '',
      is_liveapply: false,
      is_project: false
    }];
    var batchlist = [{
      id: 0,
      name: '延庆县医院减免挂号',
      reserved_count: 0,
      count: 300,
      img: './img/ser1.jpg',
      star: 6,
      start_at: '',
      is_liveapply: false,
    }, {
      id: 1,
      name: '西城区总工会优惠苹果活动',
      reserved_count: 983,
      count: 817,
      img: './img/ser2.jpg',
      star: 3,
      start_at: '',
      is_liveapply: false,
    }, {
      id: 2,
      name: '朝阳区计生系统职工会员免费美发',
      reserved_count: 203,
      count: 567,
      img: './img/ser3.gif',
      star: 4,
      start_at: '',
      is_liveapply: false,
    }];
    var station = [{
      id: 0,
      img: './img/wydgs.jpg',
      name: '三里屯街道工会服务站',
      star: 4,
      address: '顺义区北小营镇府前街14号',
      phone: '1388288688'
    }, {
      id: 1,
      name: '左家庄街道工会服务站',
      img: './img/wydgs.jpg',
      star: 1,
      address: '顺义区北务镇政府',
      phone: '1388288688',
      org_id: ''
    }, {
      id: 2,
      name: '酒仙桥街道工会服务站',
      img: './img/wydgs.jpg',
      star: 2,
      address: '顺义区杨镇工业区物业公司旁',
      phone: '1388288688'
    }, {
      id: 3,
      img: './img/wydgs.jpg',
      name: '三里屯街道工会服务站',
      star: 4,
      address: '顺义区北小营镇府前街14号',
      phone: '1388288688'
    }, {
      id: 4,
      name: '左家庄街道工会服务站',
      img: './img/wydgs.jpg',
      star: 1,
      address: '顺义区北务镇政府',
      phone: '1388288688'
    }, {
      id: 5,
      name: '酒仙桥街道工会服务站',
      img: './img/wydgs.jpg',
      star: 2,
      address: '顺义区杨镇工业区物业公司旁',
      phone: '1388288688'
    }];
    var servicelist = {
      id: 1,
      name: '西城区总工会优惠苹果活动',
      reserved_count: 983,
      count: 817,
      img: './img/ser2.jpg',
      description: '凭本人身份证即可享受优惠政策。',
      star: 3,
      org_name: '西城区总工会',
      start_at: new Date(),
      end_at: new Date(),
      comments: 5,
      merchants: 2,
      is_liveapply: false,
      reserve_type: 0,
      is_square: false
    };
    var stations = {
      id: 0,
      pics: './img/wydgs.jpg',
      name: '三里屯街道工会服务站',
      star: 4,
      address: '顺义区北小营镇府前街14号',
      longitude: '',
      latitude: '',
      phone: '8888888',
      post_code: '101300',
      description: "very good",
      src:'./img/wydgs.jpg'
    };
    var service_comments = [{
      content: '真的很方便。',
      star: 4,
      member_name: 'lisa',
      create_at: '2008-8-8',
      is_anonymity: false
    }, {
      content: '非常棒！！！',
      star: 1,
      member_name: 'mama',
      create_at: '2008-8-8',
      is_anonymity: false
    }, {
      content: '太爽了！',
      star: 3,
      member_name: 'baba',
      create_at: '2008-8-8',
      is_anonymity: false
    }, {
      content: '很好。',
      star: 5,
      member_name: 'coco',
      create_at: '2008-8-8',
      is_anonymity: false
    }, {
      content: '哈哈哈',
      star: 2,
      member_name: 'jj',
      create_at: '2008-8-8',
      is_anonymity: false
    }];
    var merchant_comments = [{
      content: '真的很方便。',
      star: 4,
      member_name: 'lisa',
      create_at: '2008-8-8',
      is_anonymity: false
    }, {
      content: '非常棒！！！',
      star: 1,
      member_name: 'mama',
      create_at: '2008-8-8',
      is_anonymity: false
    }, {
      content: '太爽了！',
      star: 3,
      member_name: 'baba',
      create_at: '2008-8-8',
      is_anonymity: false
    }, {
      content: '很好。',
      star: 5,
      member_name: 'coco',
      create_at: '2008-8-8',
      is_anonymity: false
    }, {
      content: '哈哈哈',
      star: 2,
      member_name: 'jj',
      create_at: '2008-8-8',
      is_anonymity: false
    }];
    var merchants = [{
      id: 0,
      name: '北京朝阳工会服务站',
      address: '北京市朝阳区北苑路。',
      star: 5,
      img: './img/wydgs.jpg'
    }, {
      id: 1,
      name: '北京朝阳工会服务站',
      address: '北京市朝阳区北苑路。',
      star: 2,
      img: './img/wydgs.jpg'
    }, {
      id: 2,
      name: '北京朝阳工会服务站',
      address: '北京市朝阳区北苑路。',
      star: 3,
      img: './img/wydgs.jpg'
    }];

    var ct_resident_type = [{
      code: 0,
      name: ''
    }, {
      code: 1,
      name: '居民'
    }, {
      code: 2,
      name: '非居民'
    }];
    var ct_area_beijing = [{
      code: 0,
      name: ''
    }, {
      code: 110101000,
      name: '东城区'
    }, {
      code: 110102000,
      name: '西城区'
    }, {
      code: 110105000,
      name: '朝阳区'
    }, {
      code: 110106000,
      name: '丰台区'
    }, {
      code: 110112000,
      name: '通州区'
    }];
    var ct_education = [{
      code: 0,
      name: ''
    }, {
      code: 1,
      name: '小学及以下'
    }, {
      code: 2,
      name: '初中'
    }, {
      code: 3,
      name: '高中、技校'
    }, {
      code: 4,
      name: '中专'
    }, {
      code: 5,
      name: '大专'
    }, {
      code: 6,
      name: '大学本科'
    }, {
      code: 7,
      name: '硕士研究生'
    }, {
      code: 8,
      name: '博士研究生'
    }];
    var ct_skill = [{
      code: 0,
      name: ''
    }, {
      code: 1,
      name: '初级工'
    }, {
      code: 2,
      name: '中级工'
    }, {
      code: 3,
      name: '高级工'
    }, {
      code: 4,
      name: '技师'
    }, {
      code: 5,
      name: '高级技师'
    }, {
      code: 6,
      name: '初级职称'
    }, {
      code: 7,
      name: '中级职称'
    }, {
      code: 8,
      name: '高级职称'
    }, {
      code: 9,
      name: '无'
    }];
    var ct_migrant = [{
      code: 11,
      name: '稳定就业(劳工合同是一年以上)'
    }, {
      code: 12,
      name: '临时就业(劳动合同期一年以下)'
    }, {
      code: 20,
      name: '否'
    }];
    var my_services = [{
      id: 1,
      img: './img/wydgs.jpg',
      name: '免费欧洲双人游',
      apply_count: 2,
      is_process: 1,
      verify_status: 1,
      is_send: false
    }, {
      id: 2,
      img: './img/wydgs.jpg',
      name: '全民健康 乐享游泳',
      apply_count: 2,
      is_process: 1,
      verify_status: 1,
      is_send: true
    }, {
      id: 3,
      img: './img/wydgs.jpg',
      name: '免费音乐会',
      apply_count: 2,
      is_process: 1,
      verify_status: 1,
      is_send: true
    }, {
      id: 4,
      img: './img/wydgs.jpg',
      name: '五一免费看电影',
      apply_count: 2,
      is_process: 1,
      verify_status: 1,
      is_send: true
    }, {
      id: 5,
      img: './img/wydgs.jpg',
      name: '全民健康 乐享游泳',
      apply_count: 2,
      is_process: 1,
      verify_status: 1,
      is_send: true
    }, {
      id: 6,
      img: './img/wydgs.jpg',
      name: '免费音乐会',
      apply_count: 2,
      is_process: 1,
      verify_status: 1,
      is_send: true
    }];
    var my_service_detail = {
      id: 1,
      img: './img/wydgs.jpg',
      name: '五一免费看电影',
      org_name: '海淀区总工会',
      count: 15000,
      start_at: '2016-01-01',
      end_at: '2016-01-01',
      description: '我区持有“工会会员互助服务卡(京卡)”的工会会员,于2015年8月13日9:00至8月31日12:00期间登陆12351职工服务网,从“会员活动参与入口”登陆进入活动页面,选择海淀区总工会“欢乐过暑期”工会会员观影项目点击申请电影兑换券,每人限申请5次,每次最多1张,每张面值10元（非一张兑换券兑换一张电影票）。活动兑换有限期内持申请活动时所用的工会会员互助服务卡（京卡）,到海淀工人文化宫1层电影售票处刷卡领取电影兑换券,每刷一次卡可领取一张兑换券(最多可领取五张),请尽早领取。职工刷卡领取的电影券可兑换有效期内（有效期见兑换券）任意场次影片,活动共计提供15000张电影兑换券,订完为止。',
      merchants: 1,
      stars: 5,
      comments: 4,
      apply_count: 2,
      org_id: 416,
      is_process: 1,
      verify_status: 1,
      is_send: true
    };
    var merchant_detail = {
      id: 1,
      name: '北京奥林狩猎俱乐部射击场',
      address: '北京市昌平区十三陵镇西山口村东',
      phone: '69741166',
      description: '北京奥林狩猎俱乐部射击场位于昌平区十三陵镇西山口村东，东临卧虎山、西临八达岭居庸关、北临世界文化遗产明朝十三陵，毗邻京新高速和京藏高速。园内茂植修林，层峦叠嶂，鸟语花香、物产丰富、空气清新。场内提供实弹射击、飞碟打靶、真人cs、射箭、垂钓、采摘、拓展、住宿等丰富多彩的服务。<br>奥林射击场现成为京卡特约服务单位，为全市会员提供服务，持卡会员免收正门门票，真人CS、射箭、垂钓、采摘、拓展、住宿、会议8折优惠。',
      stars: 5,
      comment_count: 4,
      pics: './img/wydgs.jpg',
      longitude: 116.331398,
      latitude: 39.897445,
      service_count: 1,
      pics: [{
        src:'./img/pic1.jpg'
      }, {
        src:'./img/pic2.jpg'
      },{
        src:'./img/pic3.jpg'
      },{
        src:'./img/pic4.jpg'
      },{
        src:'./img/pic5.jpg'
      }]
    };
    var splashlist = [{
      src: 'http://www.bjzgh12351.org/upload/1426584348846.jpg'
    }, {
      src: 'http://www.bjzgh12351.org/upload/1438305015982.jpg'
    }, {
      src: 'http://www.bjzgh12351.org/upload/1440405232649.jpg'
    }];
    $httpBackend.whenGET(/http:\/\/localhost\/service\/my-list\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, my_services];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/service\/my-service-info\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, my_service_detail];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/service\/merchant-list\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, merchants];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/merchant\/info\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, merchant_detail];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/service\/comment-list\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, service_comments];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/merchant\/comment-list\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, merchant_comments];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/station\/info\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, stations];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/service\/info\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, servicelist];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/station\/list\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, station];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/banner\/list\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, bannerlist];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/service\/list\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, service];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/service\/batch-list\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, batchlist];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/news\/work-status-list\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, workStatus];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/news\/article\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, article];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/news\/new-message-list\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, newMessage];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/news\/basic-message-list\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, basicMessage];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/news\/policy-list\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, policyList];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/news\/workflow-list\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, workFlow];
    });
    $httpBackend.whenPOST(/http:\/\/localhost\/hotline\/join-person\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);
      return [200, {
        errcode: 0,
        errmsg: ''
      }];
    });
    $httpBackend.whenPOST(/http:\/\/localhost\/hotline\/right-new\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);
      return [200, {
        errcode: 0,
        errmsg: ''
      }];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/hotline\/right-search\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, rightSearch];
    });
    $httpBackend.whenPOST(/http:\/\/localhost\/hotline\/join-person-search\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);
      return [200, {
        errcode: 0,
        errmsg: ''
      }];
    });
    $httpBackend.whenPOST(/http:\/\/localhost\/hotline\/right-search\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);
      return [200, {
        errcode: 0,
        errmsg: ''
      }];
    });
    $httpBackend.whenPOST(/http:\/\/localhost\/user\/login\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);
      return [200, {
        errcode: 0,
        token: '5d2c5x8f44ggggf5t8g5f4d5g6h9tg78',
        errmsg: ''
      }];
    });
    $httpBackend.whenPOST(/http:\/\/localhost\/user\/send-valid-code\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);
      return [200, {
        errcode: 0,
        errmsg: '',
        token: '5d2c5x8f44ggggf5t8g5f4d5g6h9tg78',
        phone: '89443333'
      }];
    });
    $httpBackend.whenPOST(/http:\/\/localhost\/user\/delete-receive\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);
      return [200, {
        errcode: 0,
        errmsg: ''
      }];
    });
    $httpBackend.whenPOST(/http:\/\/localhost\/user\/add-receive\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);
      return [200, {
        errcode: 0,
        errmsg: ''
      }];
    });
    $httpBackend.whenPOST(/http:\/\/localhost\/user\/set-default-receive\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);
      return [200, {
        errcode: 0,
        errmsg: ''
      }];
    });
    $httpBackend.whenPOST(/http:\/\/localhost\/user\/modify-.+\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);
      return [200, {
        errcode: 0,
        errmsg: ''
      }];
    });
    $httpBackend.whenPOST(/http:\/\/localhost\/user\/modify-phone\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);
      return [200, {
        errcode: 0,
        errmsg: '',
        token: '5d2c5x8f44ggggf5t8g5f4d5g6h9tg78',
        phone: '89443333',
        valid_code: '123123',
        password: 123123
      }];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/user\/info\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);

      return [200, custormer];


    });
    $httpBackend.whenGET(/http:\/\/localhost\/user\/is-collected\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, {
        isCollected: false
      }];
    });
    $httpBackend.whenPOST(/http:\/\/localhost\/service\/reserve\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);
      return [200, {
        errcode: 0,
        errmsg: ''
      }];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/service\/verify\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, {
        errcode: 0,
        errmsg: '',
        max_num: 2,
        min_num: 1,
        batch_period: 5,
        is_reserve: 0,
        apply_address: false,
        begin_date: '2014-01-05',
        begin_time: '2015-03-02',
        end_time: '2015-09-30'
      }];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/service\/comment\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, {
        errcode: 0,
        errmsg: ''
      }];
    });
    $httpBackend.whenPOST(/http:\/\/localhost\/service\/comment\.jsp/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);
      return [200, {
        errcode: 0,
        errmsg: ''
      }];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/user\/verify\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, {
        token: '5d2c5x8f44ggggf5t8g5f4d5g6h9tg78',
        errcode: 0
      }];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/system\/codelist\.jsp\??list_name=ct_resident_type/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, ct_resident_type];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/system\/codelist\.jsp\??list_name=ct_education/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, ct_education];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/system\/codelist\.jsp\??list_name=ct_migrant/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, ct_migrant];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/system\/codelist\.jsp\??list_name=ct_area_beijing/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, ct_area_beijing];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/system\/codelist\.jsp\??list_name=ct_skill/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, ct_skill];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/splash\/list\.jsp/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, splashlist];
    });
    $httpBackend.whenGET(/http:\/\/localhost\/user\/validate-jingcard\.jsp.*/).respond(function(method, url, data, headers) {
      console.log(url);
      return [200, {
        isValid: true,
        token: 'iu78i49rkm3n2b3vs0fdow2ie84kxmf3'
      }];
    });
    $httpBackend.whenPOST(/http:\/\/localhost\/user\/analysis\/login\.jsp/).respond(function(method, url, data, headers) {
      console.log(url);
      console.log(data);
      return [200, {
        errcode: 0,
        errmsg: ''
      }];
    });
    $httpBackend.whenGET(/.*/).passThrough();
  });
