angular.module('zscy.services', ['ionic']);
angular.module('zscy.services')
  // .constant('cyhost', 'http://unionist55.longser.com/cymobile2016/api')//本地
  // .constant('cybj12351host', 'http://unionist55.longser.com/cy-mobile/api')//本地
  // .constant('cyhost', 'http://unionpx.longser.com.cn/mobile-2016/api')//培训
  // .constant('cybj12351host', 'https://apppx.bjzgh12351.org/cy-mobile/api')//培训
  .constant('cyhostzs', 'https://www.cyzgh.org/mobile-2022/api') //正式（用户/隐私协议使用）
  .constant('cyhost', 'https://www.cyzgh.org/mobile-2022/api') //正式
  .constant('cybj12351host', 'https://app.bjzgh12351.org/cy-mobile/api') //正式
  .constant('bj12351host', 'https://app.bjzgh12351.org/mobile/api')
  .constant('hiFreqHost', 'https://apphd.bjzgh12351.org/mobile/api')
  .constant('templateUrlPath', localStorage.getItem('chaoyang.filepath') || '')
  .factory('articleService', ['$http', '$q', 'cyhost', '$ionicLoading', function($http, $q, cyhost, $ionicLoading) {
    var article = JSON.parse(localStorage.getItem('chaoyang.article')) || [];
    return {
      getInfo: function() {
        return article;
      },
      refresh: function(id) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.get(cyhost + '/news/article.jsp?id=' + id, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              article = data;
              localStorage.setItem('chaoyang.article', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      }
    };
  }])
  .factory('bannerslistService', ['$http', '$q', 'cyhost', '$ionicLoading', function($http, $q, cyhost, $ionicLoading) {
    var bannerslist = JSON.parse(localStorage.getItem('chaoyang.bannerslist')) || [];
    return {
      getbannerslist: function() {
        return bannerslist;
      },
      refresh: function(page, size) {
        var q = $q.defer();
        $http.get(cyhost + '/news/banners-list.jsp?page=' + page + '&size=' + size)
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              bannerslist = data;
              localStorage.setItem('chaoyang.bannerslist', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      more: function(page, size) {
        var q = $q.defer();
        $http.get(cyhost + '/news/banners-list.jsp?page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              bannerslist = bannerslist.concat(data);

            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('livelistService', ['$http', '$q', 'cybj12351host', '$ionicLoading', function($http, $q, cybj12351host, $ionicLoading) {
    var livelist = JSON.parse(localStorage.getItem('chaoyang.livelist')) || [];
    var livelisthistory = JSON.parse(localStorage.getItem('chaoyang.livelisthistory')) || [];
    return {
      getlivelist: function() {
        return livelist;
      },
      getlivelisthistory: function() {
        return livelisthistory;
      },
      refresh: function(service_name, page, size, district, category) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/live-list.jsp?service_name=' + service_name + '&page=' + page + '&size=' + size + '&district=' + district + '&category=' + category, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '目前没有服务项目',
                  duration: 1000
                });
              }
              livelist = data;
              localStorage.setItem('chaoyang.livelist', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      refreshHistory: function(service_name, page, size, district, category) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/live-list-history.jsp?service_name=' + service_name + '&page=' + page + '&size=' + size + '&district=' + district + '&category=' + category, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '目前没有服务项目',
                  duration: 1000
                });
              }
              livelisthistory = data;
              localStorage.setItem('chaoyang.livelisthistory', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      more: function(service_name, page, size, district, category) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/live-list.jsp?service_name=' + service_name + '&page=' + page + '&size=' + size + '&district=' + district + '&category=' + category, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              livelist = livelist.concat(data);

            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      morehistory: function(service_name, page, size, district, category) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/live-list-history.jsp?service_name=' + service_name + '&page=' + page + '&size=' + size + '&district=' + district + '&category=' + category, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              livelisthistory = livelisthistory.concat(data);

            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('newsService', ['$http', '$q', 'cyhost', '$ionicLoading', function($http, $q, cyhost, $ionicLoading) {
    var news = JSON.parse(localStorage.getItem('chaoyang.news')) || [];
    return {
      getnews: function() {
        return news;
      },
      refresh: function(page, size) {
        var q = $q.defer();
        $http.get(cyhost + '/news/news-list.jsp?page=' + page + '&size=' + size)
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              news = data;
              localStorage.setItem('chaoyang.news', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      more: function(page, size) {
        var q = $q.defer();
        $http.get(cyhost + '/news/news-list.jsp?page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              // if (data.length === 0) {
              //   $ionicLoading.show({
              //     template: '没有信息',
              //     duration: 1000
              //   });
              // }
              news = news.concat(data);
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('districtMessageService', ['$http', '$q', 'cyhost', '$ionicLoading', function($http, $q, cyhost, $ionicLoading) {
    var districtMessage = JSON.parse(localStorage.getItem('chaoyang.districtMessage')) || [];
    return {
      getdistrictMessage: function() {
        return districtMessage;
      },
      refresh: function(page, size) {
        var q = $q.defer();
        $http.get(cyhost + '/news/district-message-list.jsp?page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              districtMessage = data;
              localStorage.setItem('chaoyang.districtMessage', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      more: function(page, size) {
        var q = $q.defer();
        $http.get(cyhost + '/news/district-message-list.jsp?page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              // if (data.length === 0) {
              //   $ionicLoading.show({
              //     template: '没有信息',
              //     duration: 1000
              //   });
              // }
              districtMessage = districtMessage.concat(data);
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('geoLocationService', function($ionicPlatform, $cordovaGeolocation, $ionicLoading) {
    var latitude = localStorage.getItem('chaoyang.latitude', latitude);
    var longitude = localStorage.getItem('chaoyang.longitude', longitude);
    var raw_latitude = localStorage.getItem('chaoyang.raw_latitude', raw_latitude);
    var raw_longitude = localStorage.getItem('chaoyang.raw_longitude', raw_longitude);
    var convertor = new BMap.Convertor();
    var located = function() {
      $ionicPlatform.ready(function() {
        $cordovaGeolocation.getCurrentPosition({
          enableHighAccuracy: false
        }).then(function(position) {
            localStorage.setItem('chaoyang.raw_latitude', position.coords.latitude);
            localStorage.setItem('chaoyang.raw_longitude', position.coords.longitude);
            convertor.translate([new BMap.Point(parseFloat(position.coords.longitude), parseFloat(position.coords.latitude))], 1, 5, function(data) {
              latitude = data.points[0].lat;
              longitude = data.points[0].lng;
              localStorage.setItem('chaoyang.latitude', latitude);
              localStorage.setItem('chaoyang.longitude', longitude);
            });
          },
          function(error) {
            $ionicLoading.show({
              template: error.message,
              duration: 1000
            });
          });
      });
    };
    located();
    return {
      reLocated: function() {
        located();
      },
      getLatitude: function() {
        return latitude;
      },
      getLongitude: function() {
        return longitude;
      },
      getraw_Latitude: function() {
        return raw_latitude;
      },
      getraw_Longitude: function() {
        return raw_longitude;
      }
    };
  })
  .factory('basicMessageService', ['$http', '$q', 'cyhost', '$ionicLoading', function($http, $q, cyhost, $ionicLoading) {
    var basicMessage = JSON.parse(localStorage.getItem('chaoyang.basicMessage')) || [];
    return {
      getbasicMessage: function() {
        return basicMessage;
      },
      refresh: function(page, size) {
        var q = $q.defer();
        $http.get(cyhost + '/news/basic-message-list.jsp?page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              basicMessage = data;
              localStorage.setItem('chaoyang.basicMessage', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      more: function(page, size) {
        var q = $q.defer();
        $http.get(cyhost + '/news/basic-message-list.jsp?page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              // if (data.length === 0) {
              //   $ionicLoading.show({
              //     template: '没有信息',
              //     duration: 1000
              //   });
              // }
              basicMessage = basicMessage.concat(data);
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('mapService', ['$http', '$q', 'cyhost', '$ionicLoading', function($http, $q, cyhost, $ionicLoading) {
    var employeeList = JSON.parse(localStorage.getItem('chaoyang.employeeList')) || [];

    return {
      getEmployeeList: function() {
        return employeeList;
      },

      refreshInCityPicker: function() {
        var cxy = document.getElementById('cityPicker2');
        cxy.click();
      },

      refresh: function(level, type, sw_lng, sw_lat, ne_lng, ne_lat, ent_name, yearly) {
        var q = $q.defer();
        $http.post(cyhost + '/employee/list.jsp', {
            // token: localStorage.getItem('bj12351.token'),
            level: level,
            type: type,
            sw_lng: sw_lng,
            sw_lat: sw_lat,
            ne_lng: ne_lng,
            ne_lat: ne_lat,
            ent_name: ent_name,
            yearly: yearly
          }, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              employeeList = data;
              localStorage.setItem('chaoyang.employeeList', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('mapDetailService', ['$http', '$q', 'cyhost', '$ionicLoading', function($http, $q, cyhost, $ionicLoading) {

    return {
      detail: function(map_id) {
        var q = $q.defer();
        // $ionicLoading.show({
        //   template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        // });
        $http.get(cyhost + '/employee/info.jsp?map_id=' + map_id, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            // $ionicLoading.hide();
          });
        return q.promise;
      }
    };
  }])
  .factory('policyListService', ['$http', '$q', 'cyhost', '$ionicLoading', function($http, $q, cyhost, $ionicLoading) {
    var policyList = JSON.parse(localStorage.getItem('chaoyang.policyList')) || [];
    return {
      getpolicyList: function() {
        return policyList;
      },
      refresh: function(page, size) {
        var q = $q.defer();
        $http.get(cyhost + '/news/policy-list.jsp?page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              policyList = data;
              localStorage.setItem('chaoyang.policyList', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      more: function(page, size) {
        var q = $q.defer();
        $http.get(cyhost + '/news/policy-list.jsp?page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              // if (data.length === 0) {
              //   $ionicLoading.show({
              //     template: '没有信息',
              //     duration: 1000
              //   });
              // }
              policyList = policyList.concat(data);
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('workFlowService', ['$http', '$q', 'cyhost', '$ionicLoading', function($http, $q, cyhost, $ionicLoading) {
    var workFlow = JSON.parse(localStorage.getItem('chaoyang.workFlow')) || [];
    return {
      getworkFlow: function() {
        return workFlow;
      },
      refresh: function(page, size) {
        var q = $q.defer();
        $http.get(cyhost + '/news/workflow-list.jsp?page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              workFlow = data;
              localStorage.setItem('chaoyang.workFlow', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      more: function(page, size) {
        var q = $q.defer();
        $http.get(cyhost + '/news/workflow-list.jsp?page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              // if (data.length === 0) {
              //   $ionicLoading.show({
              //     template: '没有信息',
              //     duration: 1000
              //   });
              // }
              workFlow = workFlow.concat(data);
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('memberHotlineService', ['$http', '$q', 'cyhost', '$ionicLoading', function($http, $q, cyhost, $ionicLoading) {
    var joinPersonSearch = JSON.parse(localStorage.getItem('chaoyang.joinPersonSearch')) || [];
    var rightSearch = JSON.parse(localStorage.getItem('chaoyang.rightSearch')) || [];
    return {
      getjoinPersonSearch: function() {
        return joinPersonSearch;
      },
      getrightSearch: function() {
        return rightSearch;
      },
      getJoinUrl: function() {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.get(cyhost + '/hotline/join-wechat-url.jsp', {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      applyJoin: function(name, idcode, phone, company, address, gender, org_id, other_contact) {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.post(cyhost + '/hotline/join-person.jsp', {
            name: name,
            idcode: idcode,
            phone: phone,
            company: company,
            address: address,
            gender: gender,
            org_id: org_id,
            other_contact: other_contact
          }, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      companyApplyJoin: function(name, orgcode, number, address, contact, telephone) {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.post(cyhost + '/hotline/join-company.jsp', {
            name: name,
            orgcode: orgcode,
            number: number,
            address: address,
            contact: contact,
            telephone: telephone
          }, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      rightsNew: function(name, card, title, content, phone, org_id, company) {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.post(cyhost + '/hotline/right-new.jsp', {
            name: name,
            card: card,
            title: title,
            content: content,
            phone: phone,
            org_id: org_id,
            company: company
          }, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      personSearch: function(idcode) {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.get(cyhost + '/hotline/join-person-search.jsp?idcode=' + idcode, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      companySearch: function(orgcode) {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.get(cyhost + '/hotline/join-company-search.jsp?orgcode=' + orgcode, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      rightSearch: function(name, card) {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.get(cyhost + '/hotline/right-search.jsp?name=' + name + '&card=' + card, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      rightFeedback: function(id) {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.get(cyhost + '/hotline/right-feedback.jsp?id=' + id, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      rightFeedbackScore: function(id, score) {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.post(cyhost + '/hotline/right-feedback-score.jsp', {
            id: id,
            score: score
          }, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      }
    };
  }])
  .factory('memberService', ['$http', '$q', 'cybj12351host', '$ionicLoading', function($http, $q, cybj12351host, $ionicLoading) {
    var searchName = '';
    var member_services = JSON.parse(localStorage.getItem('chaoyang.memberService')) || [];
    var member_services_history = JSON.parse(localStorage.getItem('chaoyang.memberServiceHistory')) || [];
    return {
      setSearchName: function(keyword) {
        searchName = keyword;
      },

      getSearchName: function() {
        return searchName;
      },

      getmemberService: function() {
        return member_services;
      },
      getmemberServiceHistory: function() {
        return member_services_history;
      },
      refresh: function(service_name, page, size, district, category) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/list2.jsp?service_name=' + service_name + '&page=' + page + '&size=' + size + '&district=' + district + '&category=' + category, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '目前没有服务项目',
                  duration: 1000
                });
              }
              member_services = data;
              localStorage.setItem('chaoyang.memberService', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      more: function(service_name, page, size, district, category) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/list2.jsp?service_name=' + service_name + '&page=' + page + '&size=' + size + '&district=' + district + '&category=' + category, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              member_services = member_services.concat(data);

            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      refreshMemberBatchService: function(project_id, service_name, page, size) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/batch-list.jsp?project_id=' + project_id + '&service_name=' + service_name + '&page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '目前没有服务项目',
                  duration: 1000
                });
              }
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      refreshLiveListBatchService: function(project_id, service_name, page, size) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/batch-list-history.jsp?project_id=' + project_id + '&service_name=' + service_name + '&page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '目前没有服务项目',
                  duration: 1000
                });
              }
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      refreshHistoryMemberBatchService: function(project_id, service_name, page, size) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/batch-list-history.jsp?project_id=' + project_id + '&service_name=' + service_name + '&page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '目前没有服务项目',
                  duration: 1000
                });
              }
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      moreMemberBatchService: function(project_id, service_name, page, size) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/batch-list.jsp?project_id=' + project_id + '&service_name=' + service_name + '&page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '没有信息',
                duration: 1000
              });
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      moreLiveListBatchService: function(project_id, service_name, page, size) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/batch-list.jsp?project_id=' + project_id + '&service_name=' + service_name + '&page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '没有信息',
                duration: 1000
              });
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      moreHistoryMemberBatchService: function(project_id, service_name, page, size) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/batch-list-history.jsp?project_id=' + project_id + '&service_name=' + service_name + '&page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '没有信息',
                duration: 1000
              });
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      refreshMemberServiceHistory: function(service_name, page, size, district, category) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/list-history.jsp?service_name=' + service_name + '&page=' + page + '&size=' + size + '&district=' + district + '&category=' + category, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '目前没有服务项目',
                  duration: 1000
                });
              }
              member_services_history = data;
              localStorage.setItem('chaoyang.memberServiceHistory', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      moreMemberServiceHistory: function(service_name, page, size, district, category) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/list-history.jsp?service_name=' + service_name + '&page=' + page + '&size=' + size + '&district=' + district + '&category=' + category, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              member_services_history = member_services_history.concat(data);

            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('stationService', ['$http', '$q', 'cybj12351host', '$ionicLoading', function($http, $q, cybj12351host, $ionicLoading) {
    var station_services = JSON.parse(localStorage.getItem('chaoyang.stationService')) || [];
    return {
      getstationService: function() {
        return station_services;
      },
      refresh: function(longitude, latitude, page2, size2, station_name, org_id) {
        var q = $q.defer();
        $http.get(cybj12351host + '/station/list.jsp?longitude=' + longitude + '&latitude=' + latitude + '&page=' + page2 + '&size=' + size2 + '&station_name=' + station_name + '&org_id=' + org_id, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              station_services = data;
              localStorage.setItem('chaoyang.stationService', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      more: function(longitude, latitude, page2, size2, station_name, org_id) {
        var q = $q.defer();
        $http.get(cybj12351host + '/station/list.jsp?longitude=' + longitude + '&latitude=' + latitude + '&page=' + page2 + '&size=' + size2 + '&station_name=' + station_name + '&org_id=' + org_id, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              station_services = station_services.concat(data);
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('serviceinfoService', ['$http', 'cybj12351host', '$q', '$ionicLoading', 'hiFreqHost', function($http, cybj12351host, $q, $ionicLoading, hiFreqHost) {
    var servicelist = JSON.parse(localStorage.getItem('chaoyang.serviceinfo')) || [];
    return {
      getServiceInfo: function() {
        return servicelist;
      },
      detail: function(service_id) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.get(cybj12351host + '/service/info.jsp?service_id=' + service_id, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      //判断用户是否有预定资格
      verify: function(token, service_id) {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.get(hiFreqHost + '/service/verify.jsp?service_id=' + service_id + '&token=' + token, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      refreshMyService: function(token, service_name, page, size) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/my-list.jsp?token=' + token + '&service_name=' + service_name + '&page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '目前没有服务项目',
                duration: 1000
              });
            }
            if (data.errcode === undefined) {
              my_services = data;
              localStorage.setItem('chaoyang.my_services', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      //预订服务
      reserve: function(token, service_id, receive_id, use_date, firm_id, reserve_count, phone) {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var _this = this;
        var q = $q.defer();
        var use_date = use_date || new Date();
        var date = '';
        if (typeof(use_date) === 'string') {
          date = use_date;
        } else {
          date = [use_date.getFullYear(), (use_date.getMonth() + 1) > 9 ? (use_date.getMonth() + 1) : '0' + (use_date.getMonth() + 1), use_date.getDate() > 9 ? use_date.getDate() : '0' + use_date.getDate()].join('-');
        }
        var receive_id = receive_id || 0;
        var firm_id = firm_id || 0;
        $http.post(hiFreqHost + '/service/reserve.jsp', {
            service_id: service_id,
            token: token,
            receive_id: receive_id,
            use_date: date,
            firm_id: firm_id,
            reserve_count: reserve_count,
            phone: phone
          }, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === 0) {
              _this.refreshMyService(token, '', 1, 10);
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      //判断用户是否参加了此服务
      isTaked: function(token, service_id) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/is-taked.jsp?service_id=' + service_id + '&token=' + token)
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      //获取商户列表
      merchantList: function(longitude, latitude, service_id, page, size, name) {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var name = name || '';
        var q = $q.defer();
        $http.get(cybj12351host + '/service/merchant-list.jsp?longitude=' + longitude + '&latitude=' + latitude + '&service_id=' + service_id + "&page=" + page + "&size=" + size + '&name=' + name, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '没有信息',
                duration: 1000
              });
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      info: function(merchant_id) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.get(cybj12351host + '/merchant/info.jsp?merchant_id=' + merchant_id, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '没有信息',
                duration: 1000
              });
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      moreMerchants: function(longitude, latitude, service_id, page, size, name) {
        var name = name || '';
        var q = $q.defer();
        $http.get(cybj12351host + '/service/merchant-list.jsp?longitude=' + longitude + '&latitude=' + latitude + '&service_id=' + service_id + '&page=' + page + '&size=' + size + '&name=' + name, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '没有信息',
                duration: 1000
              });
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('stationinfoService', ['$http', 'cybj12351host', '$q', '$ionicLoading', function($http, cybj12351host, $q, $ionicLoading) {
    var stations = JSON.parse(localStorage.getItem('chaoyang.stationinfo')) || [];
    return {
      getStationInfo: function(station_id) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.get(cybj12351host + '/station/info.jsp?station_id=' + station_id, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      }
    };
  }])
  .factory('commentsService', ['$http', '$q', 'cybj12351host', '$ionicLoading', function($http, $q, cybj12351host, $ionicLoading) {
    var uncomment = 0;
    return {
      getCommentsByService: function(service_id, page, size) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.get(cybj12351host + '/service/comment-list.jsp?service_id=' + service_id + '&page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      getCommentsByMerchant: function(merchant_id, page, size) {
        var q = $q.defer();
        $http.get(cybj12351host + '/merchant/comment-list.jsp?merchant_id=' + merchant_id + '&page=' + page + '&size=' + size)
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      postServiceComment: function(token, apply_id, content, star, is_anonymity) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.post(cybj12351host + '/service/comment.jsp', {
            token: token,
            apply_id: apply_id,
            content: content,
            star: star,
            is_anonymity: is_anonymity
          }, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      getUncomment: function() {
        return uncomment;
      },
      checkComment: function(token) {
        var q = $q.defer();
        $http.get(cybj12351host + '/user/count-uncomment.jsp?token=' + token)
          .success(function(data) {
            if (data.errcode === undefined) {
              uncomment = data.count_uncomment || 0;
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('userService', function($http, cybj12351host, $q, $ionicLoading) {
    var user = JSON.parse(localStorage.getItem("chaoyang.user")) || {};
    return {
      getUserInfo: function() {
        return user;
      },
      validateJingcard: function(name, id_card, jing_card) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.get(cybj12351host + '/user/validate-jingcard.jsp?name=' + name + '&id_card=' + id_card + '&jing_card=' + jing_card)
          .success(function(data) {
            if (data.isValid === true) {
              localStorage.setItem('chaoyang.token', data.token);
              delete data.token;
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });

        return q.promise;
      },
      verify: function(name, card) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.get(cybj12351host + '/user/verify.jsp?name=' + name + '&card=' + card)
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      isCollected: function(enter_name, id_card) {
        var q = $q.defer();
        $http.get(cybj12351host + '/user/is-collected.jsp?enter_name=' + enter_name + '&id_card=' + id_card)
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(data);
          });
        return q.promise;
      },
      //获取用户信息
      info: function(token) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.get(cybj12351host + '/user/info.jsp?token=' + token, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              user = data;
              localStorage.setItem('chaoyang.user', JSON.stringify(data));
              localStorage.setItem('chaoyang.id_card', data.id_card);
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      login: function(login_name, password) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.post(cybj12351host + '/user/login.jsp', {
            login_name: login_name,
            password: password
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      /*设置手势密码*/
      setGesturePassword: function(token, password) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.get(cybj12351host + '/user/set_gesture_pw.jsp?token=' + token + '&password=' + password)
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });

        return q.promise;
      },
      /*设置是否使用手势密码*/
      setIsGesturePwd: function(token, is_gesture_pwd) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.get(cybj12351host + '/user/is_gesture_pwd.jsp?token=' + token + '&is_gesture_pwd=' + is_gesture_pwd)
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });

        return q.promise;
      },
      //手势密码登录
      gestureLogin: function(login_name, password) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.post(cybj12351host + '/user/gesture_login.jsp', {
            login_name: login_name,
            password: password
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      modifyPhone: function(token, phone, valid_code, pw,union_mobile,member_id) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.post(cybj12351host + '/user/modify-phone.jsp', {
            token: token,
            phone: phone,
            valid_code: valid_code,
            password: pw,
            union_mobile: union_mobile,
            member_id: member_id
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      sendValidCode: function(token, phone) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.post(cybj12351host + '/user/send-valid-code.jsp', {
            token: token,
            phone: phone
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      modifyPassword: function(valid_code, card, password,member_id,union_mobile) {
        var q = $q.defer();
        $http.post(cybj12351host + '/user/modify-password-by-valid-code.jsp', {
            valid_code: valid_code,
            card: card,
            password: password,
            member_id: member_id,
            union_mobile: union_mobile
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      modifyOldPassword: function(token, oldpw, newpw) {
        var q = $q.defer();
        $http.post(cybj12351host + '/user/modify-password-by-password.jsp', {
            token: token,
            old_password: oldpw,
            new_password: newpw
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      forgetValidCode: function(card) {
        var q = $q.defer();
        $http.post(cybj12351host + '/user/forget-valid-code.jsp', {
            card: card
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      modifyResidentType: function(token, resident_type) {
        var q = $q.defer();
        $http.post(cybj12351host + '/user/modify-resident-type.jsp', {
            token: token,
            resident_type: resident_type
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      modifyResidence: function(token, residence) {
        var q = $q.defer();
        $http.post(cybj12351host + '/user/modify-residence.jsp', {
            token: token,
            residence: residence
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      modifyDegree: function(token, degree) {
        var q = $q.defer();
        $http.post(cybj12351host + '/user/modify-degree.jsp', {
            token: token,
            degree: degree
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      modifySkillLevel: function(token, skill_level) {
        var q = $q.defer();
        $http.post(cybj12351host + '/user/modify-skill-level.jsp', {
            token: token,
            skill_level: skill_level
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      modifyMigrantWorker: function(token, migrant_worker) {
        var q = $q.defer();
        $http.post(cybj12351host + '/user/modify-migrant-worker.jsp', {
            token: token,
            migrant_worker: migrant_worker
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      deleteReceive: function(token, receive_id) {
        var q = $q.defer();
        $http.post(cybj12351host + '/user/delete-receive.jsp', {
            token: token,
            receive_id: receive_id
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      addReceive: function(token, address, post_code) {
        var q = $q.defer();
        $http.post(cybj12351host + '/user/add-receive.jsp', {
            token: token,
            address: address,
            post_code: post_code
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      setDefaultReceive: function(token, receive_id) {
        var q = $q.defer();
        $http.post(cybj12351host + '/user/set-default-receive.jsp', {
            token: token,
            receive_id: receive_id
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      modifyCompany: function(token, company) {
        var q = $q.defer();
        $http.post(cybj12351host + '/user/modify-company.jsp', {
            token: token,
            company: company
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  })
  .factory('scanBarcodeService', function($ionicPlatform, $ionicLoading, $cordovaDialogs, $location, servicesService, $cordovaBarcodeScanner) {
    var check = function(data) {
      if (localStorage.getItem('chaoyang.token')) {
        data = JSON.parse(data);
        if (data.code_type == 'check_service') {
          servicesService.check(localStorage.getItem('chaoyang.token'), data.service_id, data.firm_id).then(function(data) {
            if (data.errcode === 0) {
              $cordovaDialogs.confirm('参加活动成功，去评价一下吧', '温馨提示：', ['确定'])
                .then(function(buttonIndex) {
                  if (buttonIndex == 1) {
                    $location.path('/tab/memberService');
                  }
                });
            } else if (data.errcode == -1) {
              $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
                .then(function(buttonIndex) {
                  if (buttonIndex == 1) {
                    $location.path('/tab/memberservicelogin');
                  }
                });
            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络错误',
              duration: 1000
            });
          });
        } else if (data.code_type == 'get_service') {
          servicesService.take(localStorage.getItem('chaoyang.token'), data.service_id, data.firm_id).then(function(data) {
            if (data.errcode === 0) {
              $cordovaDialogs.confirm('恭喜！您是第' + data.number + '位参加此活动的会员，去评价一下吧', '温馨提示：', ['确定'])
                .then(function(buttonIndex) {
                  if (buttonIndex == 1) {
                    $location.path('/tab/memberService');
                  }
                });
            } else if (data.errcode == -1) {
              $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
                .then(function(buttonIndex) {
                  if (buttonIndex == 1) {
                    $location.path('/tab/memberservicelogin');
                  }
                });
            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络错误',
              duration: 1000
            });
          });
        } else if (data.code_type == 'reserve_service') {
          servicesService.scanReserve(localStorage.getItem('chaoyang.token'), data.service_id).then(function(data) {
            if (data.errcode === 0) {
              $cordovaDialogs.alert('恭喜！您是第' + data.number + '位参加此活动的会员', '温馨提示：', '好的');
            } else if (data.errcode == -1) {
              $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
                .then(function(buttonIndex) {
                  if (buttonIndex == 1) {
                    $location.path('/tab/memberservicelogin');
                  }
                });
            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络错误',
              duration: 1000
            });
          });
        }
      } else {
        $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
          .then(function(buttonIndex) {
            if (buttonIndex == 1) {
              $location.path('/tab/memberservicelogin');
            }
          });
      }
    };
    return {
      scan: function() {
        $ionicPlatform.ready(function() {
          $cordovaBarcodeScanner.scan().then(function(imageData) {
            if (!imageData.cancelled) {
              switch (imageData.format) {
                case 'QR_CODE':
                  check(imageData.text);
                  break;
              }
            }
          }, function(error) {
            console.log("An error happened -> " + error);
          });
        });
      }
    };
  })
  .factory('livelistscanBarcodeService', function($ionicPlatform, $ionicLoading, $cordovaDialogs, $location, servicesService, $cordovaBarcodeScanner) {
    var check = function(data) {
      if (localStorage.getItem('chaoyang.token')) {
        data = JSON.parse(data);
        if (data.code_type == 'check_service') {
          servicesService.check(localStorage.getItem('chaoyang.token'), data.service_id, data.firm_id).then(function(data) {
            if (data.errcode === 0) {
              $cordovaDialogs.confirm('参加活动成功，去评价一下吧', '温馨提示：', ['确定'])
                .then(function(buttonIndex) {
                  if (buttonIndex == 1) {
                    $location.path('/tab/home');
                  }
                });
            } else if (data.errcode == -1) {
              $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
                .then(function(buttonIndex) {
                  if (buttonIndex == 1) {
                    $location.path('/tab/login');
                  }
                });
            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络错误',
              duration: 1000
            });
          });
        } else if (data.code_type == 'get_service') {
          servicesService.take(localStorage.getItem('chaoyang.token'), data.service_id).then(function(data) {
            if (data.errcode === 0) {
              $cordovaDialogs.confirm('恭喜！您是第' + data.number + '位参加此活动的会员，去评价一下吧', '温馨提示：', ['确定'])
                .then(function(buttonIndex) {
                  if (buttonIndex == 1) {
                    $location.path('/tab/home');
                  }
                });
            } else if (data.errcode == -1) {
              $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
                .then(function(buttonIndex) {
                  if (buttonIndex == 1) {
                    $location.path('/tab/login');
                  }
                });
            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络错误',
              duration: 1000
            });
          });
        } else if (data.code_type == 'reserve_service') {
          servicesService.scanReserve(localStorage.getItem('chaoyang.token'), data.service_id).then(function(data) {
            if (data.errcode === 0) {
              $cordovaDialogs.alert('恭喜！您是第' + data.number + '位参加此活动的会员', '温馨提示：', '好的');
            } else if (data.errcode == -1) {
              $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
                .then(function(buttonIndex) {
                  if (buttonIndex == 1) {
                    $location.path('/tab/login');
                  }
                });
            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络错误',
              duration: 1000
            });
          });
        }
      } else {
        $cordovaDialogs.confirm('您尚未登录哦', '温馨提示：', ['现在登录', '稍后登录'])
          .then(function(buttonIndex) {
            if (buttonIndex == 1) {
              $location.path('/tab/login');
            }
          });
      }
    };
    return {
      scan: function() {
        $ionicPlatform.ready(function() {
          $cordovaBarcodeScanner.scan().then(function(imageData) {
            if (!imageData.cancelled) {
              switch (imageData.format) {
                case 'QR_CODE':
                  check(imageData.text);
                  break;
              }
            }
          }, function(error) {
            console.log("An error happened -> " + error);
          });
        });
      }
    };
  })
  .factory('codelistService', ['$http', '$q', 'cybj12351host', '$ionicLoading', function($http, $q, cybj12351host, $ionicLoading) {
    var codelists = {};
    return {
      getList: function() {
        return codelists;
      },
      codelist: function(list_name) {
        var q = $q.defer();
        $http.get(cybj12351host + '/system/codelist.jsp?list_name=' + list_name)
          .success(function(data) {
            codelists[list_name] = data;
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('feedbackService', function($http, cybj12351host, $q) {
    return {
      post: function(star, content) {
        var q = $q.defer();
        var token = localStorage.getItem('chaoyang.token') || '';
        $http.post(cybj12351host + '/system/feedback.jsp', {
            token: token,
            star: star,
            content: content
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(err) {
            q.reject(err);
          });
        return q.promise;
      }
    };
  })
  .factory('servicesService', ['$http', '$q', 'cybj12351host', '$ionicLoading', 'hiFreqHost', function($http, $q, cybj12351host, $ionicLoading, hiFreqHost) {
    var my_services = JSON.parse(localStorage.getItem('chaoyang.my_services')) || [];
    var member_services = JSON.parse(localStorage.getItem('chaoyang.member_services')) || [];
    return {
      getMyServices: function() {
        return my_services;
      },
      setMyServiceIsComment: function(apply_id, is_comment) {
        for (var i = 0; i < my_services[i].length; i++) {
          if (apply_id === my_services[i].id) {
            my_services[i].is_comment = is_comment;
          }
        }
      },
      getUnusedCount: function(token) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/unused-count.jsp?token=' + token, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '没有信息',
                duration: 1000
              });
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      getUncommentCount: function(token) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/uncomment-count.jsp?token=' + token, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '没有信息',
                duration: 1000
              });
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      getMyServiceAllCount: function(token) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/my-service-all-count.jsp?token=' + token, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '没有信息',
                duration: 1000
              });
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      refreshMyService: function(token, type, service_name, page, size) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/my-list.jsp?token=' + token + '&type=' + type + '&service_name=' + service_name + '&page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '目前没有服务项目',
                duration: 1000
              });
            }
            if (data.errcode === undefined) {
              my_services = data;
              localStorage.setItem('chaoyang.my_services', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      moreMyService: function(token, type, service_name, page, size) {
        var q = $q.defer();
        $http.get(cybj12351host + '/service/my-list.jsp?token=' + token + '&type=' + type + '&service_name=' + service_name + '&page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '没有信息',
                duration: 1000
              });
            }
            if (data.errcode === undefined) {
              my_services = my_services.concat(data);
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      myServiceDetail: function(token, service_id) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.get(cybj12351host + '/service/my-service-info.jsp?token=' + token + '&service_id=' + service_id, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      getTimeTable: function(service_id) {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.get(cybj12351host + '/service/time-table.jsp?service_id=' + service_id, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      //取消预定
      cancel: function(token, service_id) {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.post(cybj12351host + '/service/cancel.jsp', {
            service_id: service_id,
            token: token
          }, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === 0) {
              var index = 0;
              for (var i = 0; i < my_services.length; i++) {
                if (my_services[i].id == service_id) {
                  index = i;
                }
              }
              my_services.splice(index, 1);
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      //服务验证
      check: function(token, service_id, firm_id) {
        firm_id = firm_id || 0;
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.post(hiFreqHost + '/check/take-service.jsp', {
            service_id: service_id,
            token: token,
            firm_id: firm_id
          }, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      //现场领取
      take: function(token, service_id, firm_id) {
        firm_id = firm_id || 0;
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.post(hiFreqHost + '/check/get-service.jsp', {
            service_id: service_id,
            token: token,
            firm_id: firm_id
          }, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      //现场预定
      scanReserve: function(token, service_id) {
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        var q = $q.defer();
        $http.post(hiFreqHost + '/check/reserve-service.jsp', {
            service_id: service_id,
            token: token
          }, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      }
    };
  }])
  .factory('messageService', ['$http', '$q', 'cybj12351host', '$ionicLoading', function($http, $q, cybj12351host, $ionicLoading) {
    var messages = JSON.parse(localStorage.getItem('chaoyang.messages')) || [];
    var unReaded = '';
    return {
      getMessages: function() {
        return messages;
      },
      refresh: function(token, page, size) {
        var q = $q.defer();
        $http.get(cybj12351host + '/user/message.jsp?token=' + token + '&page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              messages = data;
              localStorage.setItem('chaoyang.messages', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      more: function(token, page, size) {
        var q = $q.defer();
        $http.get(cybj12351host + '/user/message.jsp?token=' + token + '&page=' + page + '&size=' + size, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              messages = messages.concat(data);
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      deleteMessage: function(token, message_id, index) {
        var q = $q.defer();
        $http.post(cybj12351host + '/user/delete-message.jsp', {
            token: token,
            message_id: message_id
          })
          .success(function(data) {
            if (data.errcode === 0) {
              messages.splice(index, 1);
              localStorage.setItem('chaoyang.messages', JSON.stringify(messages));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      clearUnreaded: function() {
        unReaded = '';
      },
      getUnreaded: function() {
        return unReaded + '';
      },
      checkMessage: function(token) {
        var q = $q.defer();
        $http.get(cybj12351host + '/user/count-unreaded-msg.jsp?token=' + token)
          .success(function(data) {
            if (data.errcode === undefined) {
              unReaded = data.count_unreaded_msg || '';
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('splashService', function($http, $q, cybj12351host, $ionicLoading) {
    var splashlist = JSON.parse(localStorage.getItem('chaoyang.splash')) || [];

    return {
      getSplashList: function() {
        return splashlist;
      },
      refresh: function() {
        var q = $q.defer();
        $http.get(cybj12351host + '/splash/list.jsp')
          .success(function(data) {
            if (data.errcode === undefined) {
              splashlist = data;
              localStorage.setItem('chaoyang.splash', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  })
  .factory('merchantsService', ['$http', '$q', 'cybj12351host', '$ionicLoading', function($http, $q, cybj12351host, $ionicLoading) {
    var merchants = JSON.parse(localStorage.getItem('chaoyang.merchants')) || [];
    return {
      getMerchants: function() {
        return merchants;
      },
      refresh: function(longitude, latitude, merchant_name, page, size) {
        var q = $q.defer();
        $http.get(cybj12351host + '/merchant/list.jsp?longitude=' + longitude + '&latitude=' + latitude + '&page=' + page + '&size=' + size + '&merchant_name=' + merchant_name, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              merchants = data;
              localStorage.setItem('chaoyang.merchants', JSON.stringify(data));
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      more: function(longitude, latitude, merchant_name, page, size) {
        var q = $q.defer();
        $http.get(cybj12351host + '/merchant/list.jsp?longitude=' + longitude + '&latitude=' + latitude + '&page=' + page + '&size=' + size + '&merchant_name=' + merchant_name, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
              merchants = merchants.concat(data);
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      isTaked: function(token, merchant_id) {
        var q = $q.defer();
        $http.get(cybj12351host + '/merchant/is-taked.jsp?token=' + token + '&merchant_id=' + merchant_id)
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      info: function(merchant_id) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.get(cybj12351host + '/merchant/info.jsp?merchant_id=' + merchant_id, {
            timeout: 10000
          })
          .success(function(data) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '没有信息',
                duration: 1000
              });
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      },
      serviceList: function(merchant_id) {
        var q = $q.defer();
        $http.get(cybj12351host + '/merchant/service-list.jsp?merchant_id=' + merchant_id)
          .success(function(data) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '没有信息',
                duration: 1000
              });
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      },
      serviceListMore: function() {
        var q = $q.defer();
        $http.get(cybj12351host + '/merchant/service-list.jsp?')
          .success(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '没有信息',
                  duration: 1000
                });
              }
            }
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          });
        return q.promise;
      }
    };
  }])
  .factory('analysisService', function($http, cybj12351host) {
    return {
      login: function() {
        if (localStorage.getItem('chaoyang.token')) {
          $http.post(cybj12351host + '/user/analysis/login.jsp', {
              token: localStorage.getItem('chaoyang.token')
            })
            .success(function(data) {
              if (data.errcode === -1) {
                localStorage.removeItem('chaoyang.token', undefined);
                localStorage.removeItem('chaoyang.user', undefined);
              }
            });
        }
      }
    };
  })
  .factory('md5Service', function() {
    return {
      md5: function(str) {
        return hex_md5(str);
      }
    };
  })
  .factory('protocolService', function($http, cyhostzs, $q, $ionicLoading) {
    return {
      detail: function(id) {
        var q = $q.defer();
        $ionicLoading.show({
          template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
        });
        $http.get(cyhostzs + '/news/article.jsp?id=' + id, {
            timeout: 10000
          })
          .success(function(data) {
            q.resolve(data);
          })
          .error(function(error) {
            q.reject(error);
          })
          .finally(function() {
            $ionicLoading.hide();
          });
        return q.promise;
      }
    };
  })
  .factory('versionSer', function($cordovaDialogs, $cordovaDevice, $http, cyhost, $q) {
    var localVersion = '3.0.6'; //每次更新请修改这里的版本号
    return {
      checkUpdate: function() {
        var q = $q.defer();
        $http.get(cyhost+ '/system/check-android-version.jsp?platform=' + $cordovaDevice.getPlatform(), {
            timeout: 10000
          }).success(function(data) {
            if (data.version) {
              if($cordovaDevice.getPlatform()=='iOS' || $cordovaDevice.getPlatform()=='ios'){
                q.resolve(data.version_last !== localVersion);
              }else{
                q.resolve(data.version !== localVersion);
              }
            } else {
              q.resolve(false);
            }
          })
          .error(function(err) {
            q.resolve(false);
          });
        return q.promise;
      }
    };
  });
